<md-dialog aria-label="getTitle()" ng-cloak>
    <md-toolbar>
        <div class="md-toolbar-tools">
            <h2>{{getTitle()}}</h2>
            <span flex></span>
            <md-button class="md-icon-button" ng-click="cancel()">
                <i class="material-icons" aria-label="Close dialog">close</i>
            </md-button>
        </div>
    </md-toolbar>
    <md-dialog-content>
        <div class="md-dialog-content">
					  <div ng-if="model.isAdd">
						  <div layout="row">
								Existing tags:
							</div>
							<div layout="row">
									<div class="existing-tag-chip" ng-repeat="tag in model.tags">{{tag.name}}</div>
							</div>
							<hr/>
							<div layout="row">
								Add new:
							</div>
	            <div layout="row">
	                <md-contact-chips ng-model="model.newTags" md-contacts="tagQuerySearch($query)" md-contact-name="name" md-require-match="true" md-highlight-flags="i" filter-selected="filterSelected" placeholder="type to add new tag"></md-contact-chips>
	            </div>
						</div>
						<div ng-if="!model.isAdd">
							<div layout="row">
								Remove tags:
							</div>
	            <div layout="row">
	                <md-contact-chips ng-model="model.tags" md-contacts="dummySearch" md-contact-name="name" md-require-match="true" md-highlight-flags="i" filter-selected="filterSelected" placeholder=""></md-contact-chips>
	            </div>
						</div>
        </div>
    </md-dialog-content>
		<md-dialog-actions layout="row">
			      <span flex></span>
			      <md-button ng-click="save()" md-autofocus>
			       Save
			      </md-button>
			      <md-button ng-click="cancel()" style="margin-right:20px;">
			        Cancel
			      </md-button>
			    </md-dialog-actions>
</md-dialog>
